IM_GREY(3X)

NAME
im_grey, im_fgrey - creates a left-right grey scale

SYNOPSIS
#include <vips/vips.h> int im_grey( image, xsize, ysize )
IMAGE *image;
int xsize, ysize; int im_fgrey( image, xsize, ysize )
IMAGE *image;
int xsize, ysize;

DESCRIPTION
im_grey() creates a one-band FMTUCHAR grey scale image of sizes xsize by ysize. The intensity varies from 0 (left) to 255 (right). im_fgrey() works as im_grey(), except that the output image is FMTFLOAT, allowing pixel values from 0 (left) to 1.0 (right).

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_black(3X)

COPYRIGHT
Birkbeck College and the National Gallery, 1995